> ## Documentation Index
> Fetch the complete documentation index at: https://kraken-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Info

> Get information about the assets that are available for deposit, withdrawal, trading and earn.




## OpenAPI

````yaml /openapi/spot-rest.yaml get /public/Assets
openapi: 3.0.0
info:
  title: REST API
  version: 1.1.0
  description: ''
servers:
  - url: https://api.kraken.com/0
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
tags:
  - name: Market Data
  - name: Account Data
  - name: Trading
  - name: Funding
  - name: Subaccounts
    description: >-
      Subaccounts are currently only available to institutional clients. Please
      contact your Account Manager for more details.
  - name: Earn
    description: >
      The earn API allows interacting with all of Kraken's yield generating
      products. It replaces the old `/staking` part of the API.


      The different available earn products are represented by earn strategies.
      This corresponds to the legacy `Staking/Assets`. `Stake`/`Unstake` are
      replaced by `Allocate`/`Deallocate`.


      ### Overview of the available endpoints under `/Earn`:


      - `Strategies` - list all earn strategies for which you are eligible or
      have a balance.

      - `Allocations` - lists the balance in your earn account for each
      strategy. Requires the `Query Funds` API key permission.

      - `Allocate`/`Deallocate` - allocate/deallocate to an earn strategy
      through an async operation. Requires the `Earn Funds` API key permission.

      - `AllocateStatus`/`DeallocateStatus` - verifies the state of the last
      allocation/deallocation. Requires the `Earn Funds` or `Query Funds` API
      key permission.


      ### Example usage:


      ### Determine which funds are earning rewards:


      1. Call `Strategies` to obtain information about the relevant strategy.
      The `lock_type` field shows whether bonding/unbonding funds are earning
      yield. The relevant fields are `bonding_rewards`/`unbonding_rewards`.

      2. Call `Allocations` for the relevant strategy. From the previous step,
      for strategies where bonding/unbonding does not earn yield, substract
      these balances from `amount_allocated.total` to determine which balances
      are currently earning.


      ### Get allocatable balance:


      Call `/0/private/BalanceEx`, subtract `hold_trading` amount. Remaining
      balance is available for allocation to a strategy.


      ### Geo restrictions:


      Some earn strategies are not available in all geographic regions.
      `Strategies` will return only strategies available to the caller.
  - name: Transparency
paths:
  /public/Assets:
    get:
      tags:
        - Market Data
      summary: Get Asset Info
      description: >
        Get information about the assets that are available for deposit,
        withdrawal, trading and earn.
      operationId: getAssetInfo
      parameters:
        - $ref: '#/components/parameters/asset'
        - $ref: '#/components/parameters/aclass'
        - $ref: '#/components/parameters/assetVersion'
      responses:
        '200':
          description: Asset info retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/info-2'
                example:
                  error: []
                  result:
                    XXBT:
                      aclass: currency
                      altname: XBT
                      decimals: 10
                      display_decimals: 5
                      collateral_value: 1
                      status: enabled
                    ZEUR:
                      aclass: currency
                      altname: EUR
                      decimals: 4
                      display_decimals: 2
                      collateral_value: 1
                      status: enabled
                    ZUSD:
                      aclass: currency
                      altname: USD
                      decimals: 4
                      display_decimals: 2
                      collateral_value: 1
                      status: enabled
      security: []
components:
  parameters:
    asset:
      in: query
      name: asset
      schema:
        type: string
      description: >-
        Comma delimited list of assets to get info on (optional, default all
        available assets)
      example: XBT,ETH
    aclass:
      in: query
      name: aclass
      schema:
        type: string
        enum:
          - currency
          - tokenized_asset
        default: currency
      description: |
        Filters the asset class to retrieve (optional)
          * `currency` = spot currency pairs.
          * `tokenized_asset` = xstocks.
    assetVersion:
      in: query
      name: assetVersion
      required: false
      schema:
        type: integer
        enum:
          - 1
      description: >
        Controls whether response keys and asset identifier fields use Kraken's
        internal names or display names.


        * Omitted (default): internal names are used. Asset keys use legacy
        `X`/`Z`-prefixed format (`XXBT`, `ZUSD`). Pair keys use the internal
        format (`XXBTZUSD`). Asset identifier fields (`base`, `quote`,
        `fee_volume_currency`) also use internal names.

        * `assetVersion=1`: display names are used. Asset keys become their
        canonical display names (`BTC`, `USD`). Pair keys become the
        slash-separated display format (`BTC/USD`). On `/public/AssetPairs`, the
        `base`, `quote`, and `fee_volume_currency` fields also switch to display
        names.


        Only `assetVersion=1` is currently supported. The `altname` and `wsname`
        fields are not affected by this parameter.
  schemas:
    info-2:
      type: object
      properties:
        result:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/info'
            x-additionalPropertiesName: asset
        error:
          $ref: '#/components/schemas/error'
    info:
      title: AssetInfo
      description: Asset Info
      type: object
      properties:
        aclass:
          description: Asset Class
          type: string
        altname:
          description: Alternate name
          type: string
        decimals:
          description: Number of decimal places for record keeping amounts of this asset
          type: integer
        display_decimals:
          description: Number of decimal places shown for display purposes in frontends
          type: integer
        collateral_value:
          description: Valuation as margin collateral (if applicable)
          type: number
        status:
          description: >-
            Status of asset. Possible values: `enabled`, `deposit_only`,
            `withdrawal_only`, `funding_temporarily_disabled`.
          type: string
        margin_rate:
          description: Interest rate charged when borrowing this asset for margin trading.
          type: number
    error:
      type: array
      items:
        description: Kraken API error
        type: string
        example: EGeneral:Invalid arguments
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header

````